Summary: GNU shell utilities
Name: sh-utils
Version: 1.12
Release: 13
Copyright: GPL
Group: Utilities/System
Source: prep.ai.mit.edu:/pub/gnu/sh-utils-1.12.tar.gz
Patch0: ftp.redhat.com:/sh-utils-1.12-path.patch
Patch1: ftp.redhat.com:/sh-utils-1.12-hostname.patch
Patch2: sh-utils-1.12-pam.patch
Patch3: sh-utils-1.12-basename.patch
Patch4: sh-utils-1.12-getutent.patch
Requires: pamconfig

%description
The GNU shell utilities provide many of the basic common commands
used (among other things) for shell programming, hence the name.
Nearly all shell scripts use at least one of these programs.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .nopam
%patch3 -p1

%ifarch alpha
%patch4 -p1
%endif

%build
CFLAGS="$RPM_OPT_FLAGS -DUSE_PAM" LDFLAGS=-s ./configure --prefix=/usr
make PAMLIBS="-ldl -lpam"

%install
make install
install -m 755 -o 0 -g 0 -s /usr/bin/date /bin
install -m 755 -o 0 -g 0 -s /usr/bin/echo /bin
install -m 755 -o 0 -g 0 -s /usr/bin/false /bin
install -m 755 -o 0 -g 0 -s /usr/bin/true /bin
install -m 755 -o 0 -g 0 -s /usr/bin/stty /bin
install -m 755 -o 0 -g 0 -s /usr/bin/pwd /bin
install -m 755 -o 0 -g 0 -s /usr/bin/uname /bin
install -m 4755 -o 0 -g 0 -s /usr/bin/su /bin
install -m 755 -o 0 -g 0 -s /usr/bin/basename /bin
install -m 755 -o 0 -g 0 -s /usr/bin/sleep /bin
gzip -n -f /usr/info/sh-utils.info

rm -f /usr/usr/bin/date /usr/bin/echo /usr/bin/false /usr/bin/true 
rm -f /usr/bin/stty /usr/bin/pwd /usr/bin/uname
rm -f /usr/usr/bin/su /usr/bin/basename /usr/bin/sleep

strip /usr/bin/dirname /usr/bin/env /usr/bin/expr /usr/bin/id /usr/bin/logname
strip /usr/bin/nice /usr/bin/pathchk /usr/bin/printenv /usr/bin/printf
strip /usr/bin/tee /usr/bin/test /usr/bin/tty /usr/bin/users
strip /usr/bin/who /usr/bin/whoami /usr/bin/yes /usr/bin/[

%post
/sbin/pamconfig --add --service=su

%postun
if [ "$1" = 0 ] ; then
  /sbin/pamconfig --remove --service=su
fi

%files
%doc NEWS README
/bin/date
/bin/echo
/bin/false
/bin/true
/bin/sleep
/bin/stty
/bin/pwd
/bin/uname
/bin/su
/bin/basename
/usr/bin/dirname
/usr/bin/env
/usr/bin/expr
/usr/bin/groups
/usr/bin/id
/usr/bin/logname
/usr/bin/nice
/usr/bin/nohup
/usr/bin/pathchk
/usr/bin/printenv
/usr/bin/printf
/usr/bin/tee
/usr/bin/test
/usr/bin/tty
/usr/bin/users
/usr/bin/who
/usr/bin/whoami
/usr/bin/yes
/usr/bin/[
/usr/man/man1/basename.1
/usr/man/man1/date.1
/usr/man/man1/dirname.1
/usr/man/man1/echo.1
/usr/man/man1/env.1
/usr/man/man1/expr.1
/usr/man/man1/false.1
/usr/man/man1/groups.1
/usr/man/man1/id.1
/usr/man/man1/logname.1
/usr/man/man1/pathchk.1
/usr/man/man1/printenv.1
/usr/man/man1/printf.1
/usr/man/man1/pwd.1
/usr/man/man1/sleep.1
/usr/man/man1/tee.1
/usr/man/man1/test.1
/usr/man/man1/true.1
/usr/man/man1/tty.1
/usr/man/man1/users.1
/usr/man/man1/who.1
/usr/man/man1/whoami.1
/usr/man/man1/yes.1
/usr/man/man1/uname.1
/usr/man/man1/nice.1
/usr/man/man1/nohup.1
/usr/man/man1/stty.1
/usr/man/man1/su.1
/usr/info/sh-utils.info.gz
